<?xml version="1.0" encoding="UTF-8"?>
<featuremodels>
	<featuremodel name="nivreeager">
		<feature>InputColumn(POSTAG, ActiveStack[0])</feature>
		<feature>InputColumn(POSTAG, Input[0])</feature>
		<feature>InputColumn(POSTAG, Input[1])</feature>
		<feature>InputColumn(POSTAG, Input[2])</feature>
		<feature>InputColumn(POSTAG, Input[3])</feature>
		<feature>InputColumn(POSTAG, ActiveStack[1])</feature>
		<feature>InputColumn(POSTAG, ActiveStack[2])</feature>

		<feature>InputColumn(POSTAG, head(ActiveStack[1]))</feature>
		<feature>InputColumn(CPOSTAG, ActiveStack[0])</feature>
		<feature>InputColumn(CPOSTAG, Input[0])</feature>

		<feature>OutputColumn(DEPREL, ActiveStack[0])</feature>
		<feature>OutputColumn(DEPREL, ldep(ActiveStack[0]))</feature>
		<feature>OutputColumn(DEPREL, rdep(ActiveStack[0]))</feature>
		<feature>OutputColumn(DEPREL, ldep(Input[0]))</feature>
		<feature>OutputColumn(DEPREL, lsib(rdep(ActiveStack[0])))</feature>

		<feature>InputColumn(FORM, ActiveStack[0])</feature>
		<feature>InputColumn(FORM, Input[0])</feature>
		<feature>InputColumn(FORM, Input[1])</feature>
		<feature>InputColumn(FORM, Input[2])</feature>
		<feature>InputColumn(FORM, head(ActiveStack[0]))</feature>

		<feature>InputColumn(FEATS, ActiveStack[0])</feature>
		<feature>InputColumn(FEATS, Input[0])</feature>
		<feature>InputColumn(LEMMA, ActiveStack[0])</feature>
		<feature>InputColumn(LEMMA, rdep(ActiveStack[0]))</feature>
		<feature>InputColumn(LEMMA, ldep(Input[0]))</feature>
		<!--<feature>OutputColumn(DEPREL, Input[0])</feature>-->


		<feature>InputColumn(POSTAG, head(Input[0]))</feature>
		<feature>OutputArc(HEAD, ActiveStack[0], Input[0])</feature>

		<feature>InputColumn(POSTAG, InactiveStack[0])</feature>
		<feature>InputColumn(FORM, InactiveStack[0])</feature>
		<feature>InputColumn(POSTAG, InactiveStack[1])</feature>
		<feature>InputColumn(FORM, InactiveStack[1])</feature>
		<feature>InputColumn(POSTAG, InactiveStack[2])</feature>
		<feature>InputColumn(FORM, InactiveStack[2])</feature>
		<feature>OutputColumn(DEPREL, ldep(InactiveStack[0]))</feature>
		<feature>OutputColumn(DEPREL, rdep(InactiveStack[0]))</feature>
		<feature>OutputColumn(DEPREL, lsib(rdep(InactiveStack[0])))</feature>
	</featuremodel>
</featuremodels>
